#include <bindings.dsl.h>
#include <apr_dso.h>

module Bindings.APR.DSO where
#strict_import
import Bindings.APR
import Bindings.APR.ErrNo
import Bindings.APR.Pools

#if APR_HAS_DSO

#  opaque_t  apr_dso_handle_t
#  synonym_t apr_dso_handle_sym_t, Ptr ()

#  ccall apr_dso_load  , Ptr (Ptr <apr_dso_handle_t>) -> Ptr CChar -> Ptr <apr_pool_t> -> IO <apr_status_t>
#  ccall apr_dso_unload, Ptr <apr_dso_handle_t> -> IO <apr_status_t>
#  ccall apr_dso_sym   , Ptr <apr_dso_handle_sym_t> -> Ptr <apr_dso_handle_t> -> Ptr CChar -> IO <apr_status_t>
#  ccall apr_dso_error , Ptr <apr_dso_handle_t> -> Ptr CChar -> <apr_size_t> -> IO (Ptr CChar)

#endif
