#include <bindings.dsl.h>
#include <apr_getopt.h>

module Bindings.APR.Global.Mutex where
#strict_import
import Bindings.APR.ErrNo
import Bindings.APR.Pools
import Bindings.APR.Proc.Mutex

#opaque_t apr_global_mutex_t

#cinline apr_global_mutex_create    , Ptr (Ptr <apr_global_mutex_t>) -> Ptr CChar -> <apr_lockmech_e> -> Ptr <apr_pool_t> -> IO <apr_status_t>
#cinline apr_global_mutex_child_init, Ptr (Ptr <apr_global_mutex_t>) -> Ptr CChar -> Ptr <apr_pool_t> -> IO <apr_status_t>
#cinline apr_global_mutex_lock      , Ptr <apr_global_mutex_t> -> IO <apr_status_t>
#cinline apr_global_mutex_trylock   , Ptr <apr_global_mutex_t> -> IO <apr_status_t>
#cinline apr_global_mutex_unlock    , Ptr <apr_global_mutex_t> -> IO <apr_status_t>
#cinline apr_global_mutex_destroy   , Ptr <apr_global_mutex_t> -> IO <apr_status_t>

#cinline apr_global_mutex_pool_get  , Ptr <apr_global_mutex_t> -> IO (Ptr <apr_pool_t>)
