#include <bindings.dsl.h>
#include <apr_version.h>

module Bindings.APR.Version where
#strict_import

#num APR_MAJOR_VERSION
#num APR_MINOR_VERSION
#num APR_PATCH_VERSION

#cinline APR_VERSION_AT_LEAST, CInt -> CInt -> CInt -> IO CInt

#globalarray APR_VERSION_STRING, CChar

#if !defined(APR_VERSION_ONLY)

#  starttype apr_version_t
#    field major , CInt
#    field minor , CInt
#    field patch , CInt
#    field is_dev, CInt
#  stoptype

#  ccall apr_version, Ptr <apr_version_t> -> IO ()
#  ccall apr_version_string, IO (Ptr CChar)

#endif