#include <bindings.dsl.h>
#include <apr_fnmatch.h>

module Bindings.APR.FNMatch where
#strict_import
import Bindings.APR.ErrNo
import Bindings.APR.Pools
import Bindings.APR.Tables

#num APR_FNM_NOMATCH

#num APR_FNM_NOESCAPE
#num APR_FNM_PATHNAME
#num APR_FNM_PERIOD
#num APR_FNM_CASE_BLIND

#ccall apr_fnmatch     , Ptr CChar -> Ptr CChar -> CInt -> IO <apr_status_t>
#ccall apr_fnmatch_test, Ptr CChar -> IO CInt
#ccall apr_match_glob  , Ptr CChar -> Ptr (Ptr <apr_array_header_t>) -> Ptr <apr_pool_t> -> IO <apr_status_t>
