#include <bindings.dsl.h>
#include <apr_signal.h>

module Bindings.APR.Signal where
#strict_import
import Bindings.APR
import Bindings.APR.ErrNo
import Bindings.APR.Pools

#callback apr_sigfunc_t, CInt -> IO ()

#cinline apr_signal, CInt -> <apr_sigfunc_t> -> IO <apr_sigfunc_t>

#ccall apr_signal_description_get, CInt -> IO (Ptr CChar)
#ccall apr_signal_init           , Ptr <apr_pool_t> -> IO ()
#ccall apr_signal_block          , CInt -> IO <apr_status_t>
#ccall apr_signal_unblock        , CInt -> IO <apr_status_t>
