#include <bindings.dsl.h>
#include <apr_thread_rwlock.h>

module Bindings.APR.Thread.RWLock where
#strict_import
import Bindings.APR.ErrNo
import Bindings.APR.Pools

#opaque_t apr_thread_rwlock_t

#ccall apr_thread_rwlock_create   , Ptr (Ptr <apr_thread_rwlock_t>) -> Ptr <apr_pool_t> -> IO <apr_status_t>
#ccall apr_thread_rwlock_rdlock   , Ptr <apr_thread_rwlock_t> -> IO <apr_status_t>
#ccall apr_thread_rwlock_tryrdlock, Ptr <apr_thread_rwlock_t> -> IO <apr_status_t>
#ccall apr_thread_rwlock_wrlock   , Ptr <apr_thread_rwlock_t> -> IO <apr_status_t>
#ccall apr_thread_rwlock_trywrlock, Ptr <apr_thread_rwlock_t> -> IO <apr_status_t>
#ccall apr_thread_rwlock_destroy  , Ptr <apr_thread_rwlock_t> -> IO <apr_status_t>

#ccall apr_thread_rwlock_pool_get , Ptr <apr_thread_rwlock_t> -> IO (Ptr <apr_pool_t>)
