#include <bindings.cmacros.h>
#include <apr_errno.h>

BC_INLINE1(APR_STATUS_IS_ENOSTAT    , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ENOPOOL    , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EBADDATE   , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EINVALSOCK , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ENOPROC    , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ENOTIME    , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ENODIR     , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ENOPOLL    , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ENOSOCKET  , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ENOTHREAD  , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ENOTHDKEY  , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EGENERAL   , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ENOSHMAVAIL, apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EBADIP     , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EBADMASK   , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EDSOOPEN   , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EABSOLUTE  , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ERELATIVE  , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EINCOMPLETE, apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EABOVEROOT , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EBADPATH   , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EPATHWILD  , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ESYMNOTFOUND     , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EPROC_UNKNOWN    , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ENOTENOUGHENTROPY, apr_status_t, int)

BC_INLINE1(APR_STATUS_IS_INCHILD   , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_INPARENT  , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_DETACH    , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_NOTDETACH , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_CHILD_DONE, apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_CHILD_NOTDONE, apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_TIMEUP    , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_INCOMPLETE, apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_BADCH     , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_BADARG    , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EOF       , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_NOTFOUND  , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ANONYMOUS , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_FILEBASED , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_KEYBASED  , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EINIT     , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ENOTIMPL  , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EMISMATCH , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EBUSY     , apr_status_t, int)

BC_INLINE1(APR_STATUS_IS_EACCES , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EEXIST , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ENAMETOOLONG, apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ENOENT , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ENOTDIR, apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ENOSPC , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ENOMEM , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EMFILE , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ENFILE , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EBADF  , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EINVAL , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ESPIPE , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EAGAIN , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EINTR  , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ENOTSOCK, apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ECONNREFUSED, apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EINPROGRESS , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ECONNABORTED, apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ECONNRESET  , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ETIMEDOUT   , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EHOSTUNREACH, apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ENETUNREACH , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EFTYPE      , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EPIPE       , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EXDEV       , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_ENOTEMPTY   , apr_status_t, int)
BC_INLINE1(APR_STATUS_IS_EAFNOSUPPORT, apr_status_t, int)
