#include <bindings.cmacros.h>
#include <apr_pools.h>

#if APR_POOL_DEBUG
BC_INLINE4(apr_pool_create_ex, apr_pool_t**, apr_pool_t*, apr_abortfunc_t, apr_allocator_t*, apr_status_t)
BC_INLINE3(apr_pool_create_core_ex, apr_pool_t**, apr_abortfunc_t, apr_allocator_t*, apr_status_t)
BC_INLINE3(apr_pool_create_unmanaged_ex, apr_pool_t**, apr_abortfunc_t, apr_allocator_t*, apr_status_t)
#endif

BC_INLINE2(apr_pool_create, apr_pool_t**, apr_pool_t*, apr_status_t)
BC_INLINE1(apr_pool_create_core, apr_pool_t**, apr_status_t)
BC_INLINE1(apr_pool_create_unmanaged, apr_pool_t**, apr_status_t)

#if APR_POOL_DEBUG
BC_INLINE1VOID(apr_pool_clear  , apr_pool_t*)
BC_INLINE1VOID(apr_pool_destroy, apr_pool_t*)
BC_INLINE3(apr_palloc, apr_pool_t*, apr_size_t, const char*, void*)
#endif

BC_INLINE2(apr_pcalloc, apr_pool_t*, apr_size_t, void*)

BC_INLINE2VOID(apr_pool_join, apr_pool_t*, apr_pool_t*)
BC_INLINE2VOID(apr_pool_lock, apr_pool_t*, int)
